Loading...
Searching...
No Matches
cpe_edition Struct Reference
CPE » CPE Dictionary

Edition of product update. More...

`#include <cpe_dict.h>`

Collaboration diagram for cpe_edition:
[legend]

## Public Member Functions

OSCAP_API void | cpe_edition_free (struct cpe_edition *edition)
OSCAP_API struct cpe_edition * | cpe_edition_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct cpe_edition_iterator * | cpe_update_get_editions (const struct cpe_update *item)
| cpe_update functions to get editions of update
OSCAP_API const char * | cpe_edition_get_value (const struct cpe_edition *item)
| cpe_edition functions to get value of edition
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_edition_set_value (struct cpe_edition *edition, const char *new_value)
OSCAP_API bool | cpe_edition_add_language (struct cpe_edition *edition, struct cpe_language *new_language)

## Data Fields

char * | value
struct oscap_list * | languages

## Detailed Description

Edition of product update.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h